searchData={"items":[{"type":"module","title":"RFC2822","doc":"An implementation of RFC 2822.","ref":"RFC2822.html"},{"type":"module","title":"RFC2822.DateTime","doc":"The implementation of RFC 2822 <3.3. Date and Time Specification>.\n\n> When talking about date time string, RFC 1123 and RFC 2822 are using\n> the same format.","ref":"RFC2822.DateTime.html"},{"type":"module","title":"Unsupported features - RFC2822.DateTime","doc":"* parsing string with zone except `GMT` / `UT` / `UTC` is not supported,\n    such as `Mon, 05 Mar 2018 00:00:00 +0000`.","ref":"RFC2822.DateTime.html#module-unsupported-features"},{"type":"module","title":"About `UTC` - RFC2822.DateTime","doc":"In RFC 2822, `UTC` shouldn't be used as a timezone.\n\nWhen producing a RFC 2822 date time string, we complied with this rule.\n\nBut, when parsing a RFC 2822 date time string, in order to support \nnon-standard date time strings, we broke this rule.","ref":"RFC2822.DateTime.html#module-about-utc"},{"type":"function","title":"RFC2822.DateTime.parse/1","doc":"Parses a string in the extended date time format described by RFC 2822.","ref":"RFC2822.DateTime.html#parse/1"},{"type":"function","title":"Example - RFC2822.DateTime.parse/1","doc":"iex> RFC2822.DateTime.parse(\"Mon, 01 Jan 2000 00:00:00 GMT\")\n    {:ok, ~U[2000-01-01 00:00:00Z]}\n\n    iex> RFC2822.DateTime.parse(\"Mon, 01 Jan 2000 00:00:00 UT\")\n    {:ok, ~U[2000-01-01 00:00:00Z]}\n\n    iex> RFC2822.DateTime.parse(\"Mon, 01 Jan 2000 00:00:00 UTC\")\n    {:ok, ~U[2000-01-01 00:00:00Z]}","ref":"RFC2822.DateTime.html#parse/1-example"},{"type":"function","title":"RFC2822.DateTime.to_string/1","doc":"Converts the given `datetime` to a string described by RFC 2822.","ref":"RFC2822.DateTime.html#to_string/1"},{"type":"function","title":"Example - RFC2822.DateTime.to_string/1","doc":"iex> RFC2822.DateTime.to_string(~U[2000-01-01 00:00:00Z])\n    \"Sat, 01 Jan 2000 00:00:00 GMT\"","ref":"RFC2822.DateTime.html#to_string/1-example"},{"type":"module","title":"RFC2822.DateTime.Parsec","doc":"","ref":"RFC2822.DateTime.Parsec.html"},{"type":"function","title":"RFC2822.DateTime.Parsec.datetime/2","doc":"Parses the given `binary` as datetime.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the datetime (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"RFC2822.DateTime.Parsec.html#datetime/2"},{"type":"function","title":"Options - RFC2822.DateTime.Parsec.datetime/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"RFC2822.DateTime.Parsec.html#datetime/2-options"},{"type":"extras","title":"RFC2822","doc":"# RFC2822\n\n[![CI](https://github.com/cozy-elixir/rfc2822/actions/workflows/ci.yml/badge.svg)](https://github.com/cozy-elixir/rfc2822/actions/workflows/ci.yml)\n[![Hex.pm](https://img.shields.io/hexpm/v/rfc2822.svg)](https://hex.pm/packages/rfc2822)\n\nAn implementation of RFC 2822.","ref":"readme.html"},{"type":"extras","title":"Installation - RFC2822","doc":"Add `:rfc2822` to the list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:rfc2822,  }\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - RFC2822","doc":"For more information, see the [documentation](https://hexdocs.pm/rfc2822).","ref":"readme.html#usage"},{"type":"extras","title":"License - RFC2822","doc":"[Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)","ref":"readme.html#license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}